Bug 244195 - devel/modd: fix build on aarch64
Summary: devel/modd: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL:
Keywords:
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-02-17 17:38 UTC by Mikael Urankar
Modified: 2020-02-24 19:27 UTC (History)
1 user (show)

See Also:
yuri: maintainer-feedback+


Attachments
patch (1.40 KB, patch)
2020-02-17 17:38 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-02-17 17:38:15 UTC
Created attachment 211723 [details]
patch

update golang.org/x/sys to fix build on aarch64
Comment 1 Emmanuel Vadot freebsd_committer 2020-02-21 11:54:01 UTC
Approved-by: manu (mentor)
Comment 2 commit-hook freebsd_committer 2020-02-24 18:00:37 UTC
A commit references this bug:

Author: mikael
Date: Mon Feb 24 17:59:36 UTC 2020
New revision: 527010
URL: https://svnweb.freebsd.org/changeset/ports/527010

Log:
  devel/modd: Unbreak on aarch64

  Unbreak by pulling in golang.org/x/sys@fead7900131 to fix build on aarch64

  PR:		244195
  Approved by:	yuri (maintainer), manu (mentor)

Changes:
  head/devel/modd/Makefile
  head/devel/modd/distinfo